<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<%@ taglib uri="http://www.springframework.org/tags" prefix="spring"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>

<html>
<jsp:include page="fragments/header.jsp" />
<body>
	<div class="container">
		<jsp:include page="fragments/mainmenu.jsp" />
		<spring:url value="/exectime/query?date1=${date1}&date2=${date2}&option=${option}" var="thequery" />

	<!-- reload button  -->
	<ul class="nav navbar-nav navbar-right">
		<li>
		<a href="${thequery}" class="btn btn-default active">Reload</a>
		</li>
	</ul>

	<div class="panel panel-default">
	<div class="panel-heading">
		<c:choose>
			<c:when test="${option == 'AllDates,off'}">
				<p style="font-weight:bold;">Time execution for the whole period (${ndays} days)</p>
			</c:when>
			<c:otherwise>
				<p style="font-weight:bold;">Time execution for the interval: ${date1} - ${date2} (${ndays} days)</p>
			</c:otherwise>
		</c:choose>
	</div>
	
	<div class="panel-body">
		<c:set var="sum" value="0" />
		<c:forEach items="${result}" var="res" varStatus="loop">
			<c:choose>
				<c:when test="${loop.last}">
					<c:forEach items="${res.timeTotalExec}" var="total">
						<c:set var="sum" value="${sum + total}" />
					</c:forEach>
				</c:when>
			</c:choose>
		</c:forEach>

		<p>There are ${sum} jobs in total</p>

		<table class="table table-striped table-hover table-bordered">
			<thead>
				<tr>
					<th style="text-align: center; width: 150px">Date</th>
					<th style="text-align: center; width: 150px">Total</th>
					<th style="text-align: center; width: 150px">0 - 30 s</th>
					<th style="text-align: center; width: 150px">30 - 60 s</th>
					<th style="text-align: center; width: 150px">1 - 2 min</th>
					<th style="text-align: center; width: 150px">2 - 10 min</th>
					<th style="text-align: center; width: 150px">more then 10 min</th>
				</tr>
			</thead>
			<tbody>
				<c:forEach items="${result}" var="res" varStatus="loop">
					<c:choose>
						<c:when test="${loop.last}">
							<tr style="font-weight: bolder;">
								<td style="text-align: right">Total numbers:</td>
								<c:set var="alldaytotal" value="0"/>
								<c:forEach items="${res.timeTotalExec}" var="total">
									<c:set var="alldaytotal" value="${alldaytotal + total}"/>
								</c:forEach>
								<td style="text-align: right">${alldaytotal}</td>
								<c:forEach items="${res.timeTotalExec}" var="total">
									<td style="text-align: right">${total}</td>
								</c:forEach>
							</tr>
						</c:when>
					</c:choose>
				</c:forEach>

				<c:forEach items="${result}" var="res" varStatus="loop">
					<c:choose>
						<c:when test="${not loop.last}">
							<tr>
								<td style="text-align: center">${res.date}</td>
								<c:set var="daytotal" value="0"/>
								<c:forEach items="${res.timeRez}" var="time">
									<c:set var="daytotal" value="${daytotal + time}"/>
								</c:forEach>
								<td style="text-align: right">${daytotal}</td>
								<c:forEach items="${res.timeRez}" var="time">
									<td style="text-align: right">${time}</td>
								</c:forEach>
							</tr>
						</c:when>
					</c:choose>
				</c:forEach>
			</tbody>
		</table>
	</div>
	</div>

	<jsp:include page="fragments/footer.jsp" />
	</div>
</body>
</html>